

var disabledTemplates = (civ) => [
	// Economic structures
	"structures/" + civ + "_wonder",
	// Expansions
/*	"structures/" + civ + "_civil_centre",*/
	"structures/" + civ + "_military_colony",

	// Walls
	"structures/rome_wallset_siege",
	"other/wallset_palisade",

	// Walls
	"structures/" + civ + "_wallset_stone",
	"structures/rome_wallset_siege",

	"structures/ptol_lighthouse"


];

Trigger.prototype.InitSurvival = function()
{
	this.SetDisableTemplates();
	this.gaiaWonder = TriggerHelper.GetPlayerEntitiesByClass(0,"Wonder")[0];
	Engine.QueryInterface(this.gaiaWonder, IID_DamageReceiver).SetInvulnerability(true);
	this.InitSurvival_2()
/*	this.gaiaPalisadeSpikes = TriggerHelper.GetPlayerEntitiesByClass(0,"Palisade");
*/
/*	for (var i = 0; i < this.gaiaPalisadeSpikes.length; i++) {
		Engine.QueryInterface(this.gaiaPalisadeSpikes[i], IID_DamageReceiver).SetInvulnerability(true);
	}*/

};
Trigger.prototype.SpawnCCPlayer = function(playerNr)
{
	let ii=playerNr;
	let z=0;
	for (let gaiaCC of this.civicCentersplayers[playerNr-1])
	{
	    TriggerHelper.HasDealtWithTech(ii, "unlock_shared_los");
		TriggerHelper.HasDealtWithTech(ii, "map_aoe_tech");
		TriggerHelper.HasDealtWithTech(ii, "map_aoe_women");
	}


};
Trigger.prototype.InitSurvival_2 = function()
{

	let numPlayers = Engine.QueryInterface(SYSTEM_ENTITY, IID_PlayerManager).GetActivePlayers().length;
	this.civicCentersplayers = [];

	for (var ii =1; ii < (numPlayers+1); ii++)
	{
		this.civicCentersplayers.push(new Set(TriggerHelper.GetPlayerEntitiesByClass(ii, "CivCentre")));

	}
	for (var iii =1; iii < (numPlayers+1); iii++)
		this.SpawnCCPlayer(iii);


};

Trigger.prototype.SetDisableTemplates = function()
{
	for (let i = 1; i < TriggerHelper.GetNumberOfPlayers(); ++i)
	{
		let cmpPlayer = QueryPlayerIDInterface(i);
		cmpPlayer.SetDisabledTemplates(disabledTemplates(cmpPlayer.GetCiv()));
	}
};

{
	let cmpTrigger = Engine.QueryInterface(SYSTEM_ENTITY, IID_Trigger);
	cmpTrigger.RegisterTrigger("OnInitGame", "InitSurvival", { "enabled": true });
}